Subject: Re: [PATCH] rtw89: fix error function parameter

From: CGEL <[email-masked]>
Date: Thu, 21 Oct 2021 03:10:41 +0000

On Thu, Oct 21, 2021 at 01:34:25AM +0000, Pkshih wrote:
> 
> > -----Original Message-----
> > From: kvalo=[email-masked] <kvalo=[email-masked]> On Behalf Of Kalle
> > Valo
> > Sent: Wednesday, October 20, 2021 6:04 PM
> > To: Pkshih <[email-masked]>
> > Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked];
> > [email-masked]; [email-masked]; [email-masked]; Zeal Robot
> > <[email-masked]>
> > Subject: Re: [PATCH] rtw89: fix error function parameter
> > 
> > Pkshih <[email-masked]> writes:
> > 
> > >> -----Original Message-----
> > >> From: kvalo=[email-masked]
> > >> <kvalo=[email-masked]> On Behalf Of Kalle
> > >> Valo
> > >> Sent: Wednesday, October 20, 2021 4:50 PM
> > >> To: [email-masked]
> > >> Cc: [email-masked]; [email-masked]; Pkshih
> > >> <[email-masked]>; [email-masked];
> > >> [email-masked]; [email-masked];
> > >> [email-masked]; Zeal Robot
> > >> <[email-masked]>
> > >> Subject: Re: [PATCH] rtw89: fix error function parameter
> > >>
> > >> [email-masked] wrote:
> > >>
> > >> > From: Lv Ruyi <[email-masked]>
> > >> >
> > >> > This patch fixes the following Coccinelle warning:
> > >> > drivers/net/wireless/realtek/rtw89/rtw8852a.c:753:
> > >> > WARNING  possible condition with no effect (if == else)
> > >> >
> > >> > Reported-by: Zeal Robot <[email-masked]>
> > >> > Signed-off-by: Lv Ruyi <[email-masked]>
> > >> > Acked-by: Ping-Ke Shih <[email-masked]>
> > >>
> > >> Failed to apply, please rebase on top of wireless-drivers-next.
> > >>
> > >> error: patch failed: drivers/net/wireless/realtek/rtw89/rtw8852a.c:753
> > >> error: drivers/net/wireless/realtek/rtw89/rtw8852a.c: patch does not apply
> > >> error: Did you hand edit your patch?
> > >> It does not apply to blobs recorded in its index.
> > >> hint: Use 'git am --show-current-patch' to see the failed patch
> > >> Applying: rtw89: fix error function parameter
> > >> Using index info to reconstruct a base tree...
> > >> Patch failed at 0001 rtw89: fix error function parameter
> > >>
> > >> Patch set to Changes Requested.
> > >>
> > >
> > > I think this is because the patch is translated into spaces instead of tabs,
> > > in this and following statements.
> > > "                if (is_2g)"
> > 
> > Ah, I did wonder why it failed as I didn't see any similar patches. We
> > have an item about this in the wiki:
> > 
> > https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches#format_issues
> > 
> 
> I don't know why neither.
> 
> I check the mail header of this patch, the mailer is
> "X-Mailer: git-send-email 2.25.1". It should work properly.
> 
> Lv Ruyi, could you help to check what happens?
> 
> --
> Ping-Ke

Thanks for Ping-Ke's suggestion,you are right.The previous patch
is translated into spaces instead of tabs,and I will submitt a
new correct one.